## Update a fabric template

### cURL

```bash
curl --request PUT \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "production template",
  "code": "production template",
  "description": "Template for product and variant attributes in fabric PIM for the connected account of production staff",
  "direction": "export",
  "data_type": "products"
}'
```

### Python

```python
import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/"

payload = {
    "name": "production template",
    "code": "production template",
    "description": "Template for product and variant attributes in fabric PIM for the connected account of production staff",
    "direction": "export",
    "data_type": "products"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'production template',
    code: 'production template',
    description: 'Template for product and variant attributes in fabric PIM for the connected account of production staff',
    direction: 'export',
    data_type: 'products'
  })
};

fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response

```json
{
  "name": "production template",
  "code": "production template",
  "description": "Template for product and variant attributes in fabric PIM for the connected account of production staff",
  "id": 16,
  "direction": "export",
  "data_type": "products",
  "template_mappings": [
    {"template list": "response"}
  ],
  "created_at": "2025-03-10T15:24:56Z"
}
```

### Authorizations

Authorization

string

header

required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

- **retailer_id**  
  integer  
  required  
  The unique retailer ID. In the Dropship UI, this is called the Merchant ID.
  
- **fabric_id**  
  integer  
  required  
  This ID maps to your Platform Account ID.

- **id**  
  integer  
  required  
  The unique template identifier.

### Body

- **name**  
  string  
  required  
  The name of the template.  
  
- **code**  
  string  
  required  
  An alternative internal name for the template.

- **description**  
  string | null  
  required  
  A description for the template.

- **direction**  
  enum<string> | null  
  Indicates if the template is for imports or exports.

- **data_type**  
  enum<string> | null  
  Describes what kind of data is contained within the template.
